joint = {};

function joint.prerequisitesPresent(specializations)
    return true;
end;

function joint:load(xmlFile)

	
end;

function joint:readStream(streamId, connection)
end;

function joint:writeStream(streamId, connection)

end;

function joint:keyEvent(unicode, sym, modifier, isDown)

end;

function joint:update(dt)
	if self.isServer and self:getIsActive() then
		for i, jointDesc in pairs(self.componentJoints) do
		setJointFrame(self.componentJoints[i].jointIndex, 0, self.componentJoints[i].jointNode);
		end;
	end;

end;

function joint:updateTick(dt)

end;

function joint:draw()

end;


function joint:onEnter()
  
end;

function joint:onLeave()
 
end;

function joint:delete()

end;

function joint:mouseEvent(posX, posY, isDown, isUp, button)

end;
